fuss-client - Segnalazione #416

Proxy: Firefox: viene richiesta I'auenticazione almeno 2 o 3 volte
09/14/2017 10:06 AM - Andrea Padovan

Status: Chiuso Start date: 09/14/2017
Priority: Alta Due date:

Assignee: Andrea Padovan % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Con fuss-server 8.0.29
e client (fuss-client 8.0.21)

se un utente di rete apre Firefox, gli viene richiesto almeno 2 o 3 volte l'autenticazione del Prox
(il problema non sussiste con Chromium )

| test sono stati fatti ripetutamente da me, refernete e un nprofessore alle scuole San Filippo Neri, e il problema € sempre lo stesso
(non bloccante, ma fastidioso oltre a crea confusione agli utenti).

Potete fare anche voi dei test e dirmi se riscontrate lo stesso problema?
In caso mi rendo disponibile per verificare assieme il problema nella scuola.

grazie, Anderea

History

#1 - 09/14/2017 10:28 AM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to TRUELITE

Verificato e succede anche a noi.

#2 - 09/14/2017 12:23 PM - Simone Piccardi

- Assignee changed from TRUELITE to Simone Piccardi

#3 - 09/14/2017 01:21 PM - Simone Piccardi

- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Paolo Dongilli

Ho appena provato a riprodurre, senza successo, il problema. Sul mio client, con due utenti diversi, firefox chiede la password una sola volta e
funziona con entrambi.

Per capire meglio serve:

un estratto dei log di squid sul server (/var/log/squid3/access.log) a partire dal momento in cui si eseguono i tentativi (dall'apertura di firefox fino
alla immissione della password che ha successo)

un estratto dei log di apache sul server (/var/log/apache2/access.log e /var/log/apache2/error.log) nello stesso intervallo temporale di cui sopra
indicazione dell'utente e dei relativi permessi (risultati di id utente sul client, da un terminale dentro la sessione)

environment dell'utente (risultato di env sul client, da un terminale dentro la sessione)

il contenuto di /etc/firefox-esr/fuss.js

il contenuto di /etc/environment

uno screnshot della configurazione di rete di firefox (preferenze->avanzate->rete->impostazione di connessione)

alternativamente ci vuole un accesso alle macchine su cui si manifesta il problema
#4 - 09/15/2017 11:06 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Simone Piccardi

Shifto di poco il problema. Riesci a riprodurre la non possibilita di memorizzare la password in Firefox?
In altre parole Firefox non chiede di memorizzare la password, cosa che risolverebbe il problema.

#5 - 09/15/2017 07:08 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Paolo Dongilli

Temo che firefox permetta il salvataggio di una password solo se lo si fa per il sito su cui si accede, non per il proxy antistante.

Non ho trovato altro modo di farlo che collegarsi la prima volta su http://proxy:8080. A questo punto immettendo la password compare la richiesta di
salvarla e questa viene salvata. Le volte successive viene chiesta con i campi precompilati e basta premere ok.

#6 - 09/18/2017 03:30 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Andrea Padovan

Andrea, questo problema lo riproduci con diverse utenze e per tutte le installazioni che hai fatto oppure si tratta di casi isolati?

#7 - 09/19/2017 11:48 AM - Andrea Padovan

Il problema lo noto su tutti i PC che ho testato e con diverse utenze.

#8 - 09/19/2017 11:48 AM - Andrea Padovan

- Assignee changed from Andrea Padovan to Paolo Dongilli

#9 - 10/16/2017 04:09 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Andrea Padovan

Andrea Padovan ha scritto:

Il problema lo noto su tutti i PC che ho testato e con diverse utenze.

In tal caso ti prego di fornire nel ticket, quando hai tempo, le info richieste da Simone.

Grazie.

#10 - 10/27/2017 09:55 AM - Andrea Padovan

- Status changed from Commenti to Chiuso

Dopo gli aggiornamenti di fuss-client alla versione 8.0.23, non ho piu notato il problema.
chiudo il ticket
grazie
